cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-connections \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"cluster_id":"35c4abb2-bb66-46d7-afed-25ebef5ed2aa","endpoint_id":"e-65de2gf3"}'{
"cloud": "AWS",
"cloud_provider": "AWS",
"endpoint_id": "2w543-45643-323fd",
"endpoint_service_id": "34t-4t446-876bm",
"region": "us-east-1",
"service_name": "com.vpc-serv1",
"status": "STATUS_AVAILABLE"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Add a connection to a cluster's private endpoint service.
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
POST
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
private-endpoint-connections
cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-connections \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"cluster_id":"35c4abb2-bb66-46d7-afed-25ebef5ed2aa","endpoint_id":"e-65de2gf3"}'{
"cloud": "AWS",
"cloud_provider": "AWS",
"endpoint_id": "2w543-45643-323fd",
"endpoint_service_id": "34t-4t446-876bm",
"region": "us-east-1",
"service_name": "com.vpc-serv1",
"status": "STATUS_AVAILABLE"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Path Parameters
Body
application/json
Response
A successful response.
PrivateEndpointConnectionStatus enumerates the possible statuses for the private endpoints connection.
- STATUS_STALE: Indicates that the endpoint was deleted outside of CockroachDB Cloud. Delete the endpoint through the Cloud API or Console to manually remove the connection entry.
Available options:
STATUS_PENDING, STATUS_PENDING_ACCEPTANCE, STATUS_AVAILABLE, STATUS_DELETING, STATUS_DELETED, STATUS_REJECTED, STATUS_FAILED, STATUS_EXPIRED, STATUS_STALE 
